fuss-client - Segnalazione #338

fuss-client - errori al primo agganciamento
07/02/2017 10:25 PM - Markus Pfeifer

Status: Chiuso Start date: 07/02/2017
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

il primo agganciamento al dominio con il nuovo FUSS-CIENT non va mai a buon fine. Servono sempre due tenatativi. A fine il Client
sembra di agganciarsi correttamente pero alla ripartenza del client compare sempre il messaggio che mount.home non & disponibile
anche se il server ed il client si trovano nella stessa subnet. Di conseguenza non & possibile fare il login con un utente di rete sul
client.

Associated revisions

Revision 7936e772 - 07/04/2017 11:34 AM - Elena Grandi

Fix loading of domain from the command line. refs: #338

History

#1 - 07/02/2017 11:57 PM - Simone Piccardi
- Assignee changed from TRUELITE to Elena Grandi

#2 - 07/03/2017 10:33 AM - Elena Grandi

- Assignee changed from Elena Grandi to Markus Pfeifer

E possibile sapere di che versioni di fuss-server e fuss-client si tratta?

Intanto inizio ad indagare con le ultime.

#3 - 07/03/2017 11:13 AM - Markus Pfeifer

ho aggiornato tutto all'ultima versione ufficiale ... non so poi che versione sia, ma lanciando "apt update && apt upgrade (dist-upgrade)" per fuss-client
non ci sono ulteriori aggiornamenti disponibili.

#4 - 07/03/2017 02:19 PM - Elena Grandi

Uh, non avevo visto la risposta (ricevo un avviso via mail se il ticket mi viene riassegnato)

Per scoprire le versioni installate dei pacchetti si pud usare dpkg - nomepaccheto (quindi in questi casi dpkg -I fuss-client sui client e dpkg -
fuss-server sul server.

Faccio la domanda perché stamattina non sono riuscita a riprodurlo, quindi ho un po' di problemi a capire cosa stia succedendo.

#5 - 07/03/2017 02:43 PM - Markus Pfeifer

- Assignee changed from Markus Pfeifer to Elena Grandi

La versione client utilizzata € 8.0.13
La versione server € 8.0.17-1
Il problema ritrovato & questo:

TASK [homes : Stop if no domain is availablg] ****x******xxxx

fatal: [localhost}: FAILED! => {"changed":false, "failed": true, "msg": "We can't discover our domain. If this happens multiple times in a row you can try
to pass it explicitely wiht --domain"}

I commando con cui ho lanciata I'agganciamento: fuss-client -a --domain dida251102.intranet -g aula01

#6 - 07/03/2017 02:44 PM - Markus Pfeifer

Markus Pfeifer ha scritto:

La versione client utilizzata € 8.0.13
La versione server € 8.0.17-1

Il problema ritrovato & questo:
TASK [homes : Stop if no domain is availablg] ***********xxxx
fatal: [localhost}: FAILED! => {"changed":false, "failed": true, "msg": "We can't discover our domain. If this happens multiple times in a row you

can try to pass it explicitely wiht --domain"}

I commando con cui ho lanciato I'agganciamento: fuss-client -a --domain dida251102.intranet -g aula01

#7 - 07/03/2017 02:49 PM - Elena Grandi

- Assignee changed from Elena Grandi to Markus Pfeifer

Ah, adesso capisco meglio il problema (inizialmente pensavo che fuss-client fosse arrivato alla fine dell'esecuzione con successo e ancora non
funzionasse).

L'agganciamento & stato lanciato entrambe le volte con fuss-client -a --domain dida251102.intranet -g aula01 (quindi specificando esplicitamente
--domain [...] ed entrambe le volte fallisce su quel punto?

Indago su quella modalita

#8 - 07/03/2017 02:59 PM - Markus Pfeifer

Elena Grandi ha scritto:

Ah, adesso capisco meglio il problema (inizialmente pensavo che fuss-client fosse arrivato alla fine dell'esecuzione con successo e ancora non
funzionasse).

L'agganciamento € stato lanciato entrambe le volte con fuss-client -a --domain dida251102.intranet -g aula01 (quindi specificando esplicitamente
--domain [...] ed entrambe le volte fallisce su quel punto?

Indago su quella modalita
Esatto ... il secondo tentativo falisce al punto del home mount con I'errore

TASK [homes : Remount /homeg] ******* s

fata: [localhost]: FAILED! => {"changed": true, "cmd": ["systemctl", "start", "hnome.mount"], "delta": "0:00:00.102851", "end": "2017-07-03
14:53:50.768957", "failed": true, "rc": 1, "start": "2017-07-03 14:53:50.666106", "stderr": "Job for home.mount failed. See 'systemctl status
home.mount' and journalctl -xn' for details.", "stdout": "", "stdout_lines": [], "warnings": []}

Al terzo tantativo di agganciamento in fine passa senza errori perd comunque in nessun caso si riesce a fare login con un utente di rete sul lato client.

#9 - 07/03/2017 03:22 PM - Markus Pfeifer

- Assignee changed from Markus Pfeifer to Elena Grandi

#10 - 07/03/2017 05:12 PM - Christopher R. Gabriel

- Project changed from octofuss-client to fuss-client

#11 - 07/04/2017 11:44 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#12 - 07/04/2017 02:09 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Markus Pfeifer

Ho pubblicato una nuova versione di fuss-client (8.0.14) che fixa un bug in quella parte di codice.

Per far si che venga riapplicata la parte relativa al mount delle home & necessario cancellare il file /etc/krb5.keytab e — dopo aver aggiornato il
pacchetto — rilanciare fuss-client -a

#13 - 07/04/2017 03:38 PM - Markus Pfeifer

- Assignee changed from Markus Pfeifer to Elena Grandi

Ho fatto delle verifiche e con la iso del client per 64Bit I'agganciamento funziona senza errori. Invece con quella per 32Bit con I'ultima versione
fuss-client 8.0.14 mi compare questo errore:

fuss-client -a --domain dida251102.intra -g aula01
Traceback (most recent call last):

File "/usr/sbin/fuss-client", line 403, in <module>
Client().main()

File "/usr/sbin/fuss-client", line 399, in main
selc.args.func()

File "/usr/sbin/fuss-client", line 255, in add
‘domain={}', format(self.conf['domain'])

KeyError: 'domain’

Saluti
Markus.
#14 - 07/04/2017 03:51 PM - Markus Pfeifer

aggiornamento!
addess ho lanciato il command fuss-client -a -g aula01 e I'agganciamento & andato a buon fine senza errori.

Sembra quasi un gioco alla lotteria. Gia dobbiamo toccare ogni macchina client almeno 3 volte quest errore ci costringe a fare ulteriori prove su tutte
le macchine ... A fine significa una grossa perdita di tempo per che € indispensabile da accettare.

Saluti
Markus.

#15 - 07/06/2017 10:23 AM - Elena Grandi

- Assignee changed from Elena Grandi to Markus Pfeifer

Se & andato a buon fine, il ticket si pud chiudere, giusto?

Comunque, nel frattempo I'ultima versione di fuss-client € la 8.0.16 che dovrebbe dare qualche altra piccola miglioria al funzionamento (anche
riguardo a #262).

#16 - 07/06/2017 10:49 AM - Markus Pfeifer
- Status changed from Commenti to Chiuso
- Assignee changed from Markus Pfeifer to Elena Grandi

- Priority changed from Immediata to Normale

Intanto chiudo il ticket come proposto.

Sono in fase di preparazioni per una scuola prevista al passaggio sul nuovo concetto FUSS. Faro le prove e se riscontro ulteriori problemi riapro una
nuova pratica.

Grazie intanto dei vostri impegni.

Saluti
Markus.
